<html>
<head>
<title>OSXCocoaWindowDelegate Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">OSXCocoaWindowDelegate Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="OSXCocoaWindowDelegate" -->
<p><code>#import &lt;<a class="el" href="OgreOSXCocoaWindowDelegate_8h_source.html">OgreOSXCocoaWindowDelegate.h</a>&gt;</code></p>

<p><a href="classOSXCocoaWindowDelegate-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOSXCocoaWindowDelegate.html#ad11f19f0a8e7d80c19d35c93f37b3eec">initWithNSWindow:ogreWindow:</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceOSXCocoaWindowDelegate.html#a35e08298581b51307c2e65557b3506ff">ogreWindow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">NSWindow *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceOSXCocoaWindowDelegate.html#a792de9bbcb1552cf3f7ff589a7af3de8">window</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreOSXCocoaWindowDelegate_8h_source.html#l00033">33</a> of file <a class="el" href="OgreOSXCocoaWindowDelegate_8h_source.html">OgreOSXCocoaWindowDelegate.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad11f19f0a8e7d80c19d35c93f37b3eec"></a><!-- doxytag: member="OSXCocoaWindowDelegate::initWithNSWindow:ogreWindow:" ref="ad11f19f0a8e7d80c19d35c93f37b3eec" args="(NSWindow *nswin,[ogreWindow] Ogre::RenderWindow *ogrewin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (id) initWithNSWindow: </td>
          <td></td>
          <td class="paramtype">(NSWindow *)&#160;</td>
          <td class="paramname"><em>nswin</em></td>
        </tr>
        <tr>
          <td class="paramkey">ogreWindow:</td>
          <td></td>
          <td class="paramtype">(<a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *)&#160;</td>
          <td class="paramname"><em>ogrewin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a35e08298581b51307c2e65557b3506ff"></a><!-- doxytag: member="OSXCocoaWindowDelegate::ogreWindow" ref="a35e08298581b51307c2e65557b3506ff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- Ogre:<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOSXCocoaWindowDelegate_8h_source.html#l00036">36</a> of file <a class="el" href="OgreOSXCocoaWindowDelegate_8h_source.html">OgreOSXCocoaWindowDelegate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a792de9bbcb1552cf3f7ff589a7af3de8"></a><!-- doxytag: member="OSXCocoaWindowDelegate::window" ref="a792de9bbcb1552cf3f7ff589a7af3de8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSWindow*) <a class="el" href="interfaceOSXCocoaWindowDelegate.html#a792de9bbcb1552cf3f7ff589a7af3de8">window</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOSXCocoaWindowDelegate_8h_source.html#l00037">37</a> of file <a class="el" href="OgreOSXCocoaWindowDelegate_8h_source.html">OgreOSXCocoaWindowDelegate.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreOSXCocoaWindowDelegate_8h_source.html">OgreOSXCocoaWindowDelegate.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
